.car-part-selector {
	.item {
		font-size: 1em;
	}
}

.dropdown {
	display: none;

	.dropdown-list {
		width: 8em;

		.item {
			display: block;
			font-size: 1em;
			text-align: center;

			&.selected {
				font-size: 1.2em;
				padding: .2em;
				text-shadow: none;
			}
		}
	}
}

.focused {
	.dropdown {
		align-items: center;
		background: rgba(0, 0, 0, 0.5);
		bottom: 0;
		display: flex;
		justify-content: center;
		left: 0;
		position: fixed;
		right: 0;
		top: 0;
		z-index: 10000;
	}
}

.item {
	align-items: center;
	color: #fff;
	cursor: pointer;
	display: flex;
	font-size: 4em;
	justify-content: space-between;
	padding: .25em;
	transition: font-size .1s ease;
}

.highlighted {
	background-color: #aaa;
	color: #fff;
}

.selected {
	background-color: #fff;
	color: #000;
	font-size: 5em;
	padding: .5em;
	text-shadow: none;

	input {
		background-color: #000;
		color: #fff;
	}
}

input {
	background-color: #ddd;
	border: none;
	color: #000;
	cursor: pointer;
	font-family: inherit;
	font-size: .75em;
	outline: none;
	padding: .25em;

	&::selection {
		background: #fff;
		color: #000;
	}
}